Wallets, tokens & networks

Get All Wallet References For Multiple Tokens

Builds per-employee, per-token wallet reference rows with distribution ratios and amounts for a token payroll.

POSThttps://api.toku.com/tga/get-all-wallet-references-for-multiple-tokens

Not available to API keys yet. It will need banking:write and compensation:read and payroll:read.

curl --request POST \
  --url 'https://api.toku.com/tga/get-all-wallet-references-for-multiple-tokens' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "roleInOrgIDs": [
    "string"
  ],
  "tokenTypeIDs": [
    "string"
  ],
  "tokenPayrollID": "string"
}'
200 response
[
  {
    "walletReferenceID": "string",
    "roleInOrgID": "string",
    "employeeName": "string",
    "externalEmployeeID": "string",
    "tokenName": "string",
    "tokenCurrencyCode": "string",
    "tokenTypeID": "string",
    "wallet": {
      "walletID": "string",
      "roleInOrgID": "string",
      "name": "string",
      "address": "string",
      "memo": "string",
      "destinationTag": 0,
      "network": "string",
      "status": "PENDING",
      "walletType": "SELF_CUSTODY",
      "orgNetworkID": "string",
      "createdAt": "string",
      "updatedAt": "string",
      "isCurrent": true,
      "isDefault": true,
      "legacyMigratedAt": "string",
      "legacyModelID": 0,
      "walletTypeCustomID": "string",
      "nickName": "string",
      "investorEntityID": "string",
      "tokenTypeID": "string",
      "connectedViaMesh": true,
      "userDismissed": true,
      "tokenType": {
        "tokenTypeID": "string",
        "name": "string",
        "currencyCode": "string",
        "icon": "string",
        "orgID": "string",
        "enabledForPayrollType": "ON_CYCLE",
        "networkID": "string",
        "address": "string",
        "decimalPlaces": 0,
        "coinMarketCapID": "string",
        "createdAt": "string",
        "isTokenEnabled": true,
        "isContractorDefault": true,
        "defaultTokenSlug": "string",
        "catalogTokenDeploymentID": "string"
      },
      "orgNetwork": {
        "networkID": "string",
        "orgID": "string",
        "name": "string",
        "icon": "string",
        "tokenType": "ERC20",
        "isNetworkEnabled": true,
        "chainType": "EVM",
        "meshConnectNetworkID": "string",
        "evmChainID": 0,
        "multiSendCallOnlyAddress": "string",
        "safeSingletonAddress": "string",
        "safeFactoryAddress": "string",
        "safeAppBaseUrl": "string",
        "safeTxServiceUrl": "string",
        "blockExplorerBaseUrl": "string",
        "eipsName": "string",
        "aleoTransferVisibility": "PUBLIC",
        "defaultNetworkSlugUrl": "string",
        "catalogChainID": "string"
      }
    },
    "distributionRatio": "string",
    "tokenAmount": "string",
    "roleInOrg": {
      "roleInOrgID": "string",
      "personID": "string",
      "person": {
        "givenName": "string",
        "familyName": "string"
      },
      "externalEmployeeID": "string"
    }
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

roleInOrgIDsstring[]required
tokenTypeIDsstring[]required
tokenPayrollIDstringrequired

Response

200Successful response
walletReferenceIDstring | nullrequired
roleInOrgIDstringrequired
employeeNamestringrequired
externalEmployeeIDstring | nullrequired
tokenNamestringrequired
tokenCurrencyCodestringrequired
tokenTypeIDstringrequired
walletobjectrequired
Show child attributes
walletIDstringrequired
roleInOrgIDstringrequired
namestring | nullrequired
addressstring | nullrequired
memostring | nullrequired
destinationTaginteger | nullrequired
networkstringrequired
statusstringrequired

Available options: PENDING, PENDING_ADMIN_LINK_TXN, PENDING_TXN_APPROVAL, VERIFIED, REJECTED, ARCHIVED, CANCELLED

walletTypestring | nullrequired

Available options: SELF_CUSTODY, EXCHANGE, null

orgNetworkIDstring | nullrequired
createdAtstringrequired
updatedAtstringrequired
isCurrentbooleanrequired
isDefaultbooleanrequired
legacyMigratedAtstring | nullrequired
legacyModelIDinteger | nullrequired
walletTypeCustomIDstring | nullrequired
nickNamestring | nullrequired
investorEntityIDstring | nullrequired
tokenTypeIDstring | nullrequired
connectedViaMeshbooleanrequired
userDismissedbooleanrequired
tokenTypeobject | nullrequired
Show child attributes
tokenTypeIDstringrequired
namestringrequired
currencyCodestringrequired
iconstring | nullrequired
orgIDstringrequired
enabledForPayrollTypestring | nullrequired

Available options: ON_CYCLE, OFF_CYCLE, INVOICE_PAYMENT, null

networkIDstringrequired
addressstring | nullrequired
decimalPlacesinteger | nullrequired
coinMarketCapIDstring | nullrequired
createdAtstringrequired
isTokenEnabledboolean | nullrequired
isContractorDefaultbooleanrequired
defaultTokenSlugstring | nullrequired
catalogTokenDeploymentIDstring | nullrequired
orgNetworkobject | nullrequired
Show child attributes
networkIDstringrequired
orgIDstringrequired
namestringrequired
iconstring | nullrequired
tokenTypestringrequired

Available options: ERC20, NATIVE

isNetworkEnabledboolean | nullrequired
chainTypestring | nullrequired

Available options: EVM, SOLANA, XRPL, BITCOIN, COSMOS_SDK, FILECOIN, PROVENANCE, ALEO, FOGO, FIAT, NEAR, POLKADOT, STACKS, SUI, null

meshConnectNetworkIDstring | nullrequired
evmChainIDinteger | nullrequired
multiSendCallOnlyAddressstring | nullrequired
safeSingletonAddressstring | nullrequired
safeFactoryAddressstring | nullrequired
safeAppBaseUrlstring | nullrequired
safeTxServiceUrlstring | nullrequired
blockExplorerBaseUrlstring | nullrequired
eipsNamestring | nullrequired
aleoTransferVisibilitystring | nullrequired

Available options: PUBLIC, PUBLIC_TO_PRIVATE, PRIVATE, null

defaultNetworkSlugUrlstring | nullrequired
catalogChainIDstring | nullrequired
distributionRatiostringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

tokenAmountstringrequired

Allowed: matches ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$

roleInOrgobjectrequired
Show child attributes
roleInOrgIDstringrequired
personIDstringrequired
personobjectrequired
Show child attributes
givenNamestringrequired
familyNamestringrequired
externalEmployeeIDstring | nullrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits